/* fonts */
@font-face {
	font-family: "tamzen"; 
	src: url("/fonts/Tamzen10x20b.ttf") format("truetype");
}
@font-face {
	font-family: "gothic-byte"; 
	src: url("/fonts/GothicByte.ttf") format("truetype");
}
@font-face {
	font-family: "arcade"; 
	src: url("/fonts/arcade.ttf") format("truetype");
}

body, html {
	padding: 0;
	margin: 0;
	font-size: 16px;
	line-height: 1.5rem;
	color: white;
	cursor: crosshair;
	overscroll-behavior: none;
}

body {
	font-family: "tamzen", monospace;
	background-color: black;
	padding: 20px;
	z-index: 2;
}

img {
	max-width: 100%;
}

h4, h5, h6 {
	margin: 0;
}

h5 {
	color: #7f52ae;
	font-size: 22px;
	text-decoration: underline;
}

h6 {
	color: #a4ca92;
	font-size: 18px;
}

h1 {
	font-family: "tamzen", monospace;
	color: white;
	text-shadow: 3px 3px 5px #bc88f5, -2px -2px 6px #bc88f5;
	font-size: 32px;
	margin-bottom: 2px;
}

h2 {
	text-shadow: 2px 2px 3px #a4ca92;
	margin-top: 8px;
	margin-bottom: 8px;
}

dt {
	color: #bc88f5;
}

li{
  line-height: 12px;
  }

.title {
	font-family: "tamzen", monospace;
	color: white;
	font-size: 40px;
	margin: 12px 0;
	padding-left: 6px;
	letter-spacing: 0.5px;
}

.gothic {
  font-family: "gothic-byte", monospace;
  }

.vinyl{
  overflow-x: hidden;
  }

.fics {
	display: inline-flex;
	justify-content: space-between;
	align-items: baseline;
	flex-wrap: nowrap;
	width: 100%;

	.name {
	flex-grow: 50;
	}

	.tags {
	flex-shrink: 1;
	text-align: right;
	}

}

hr{
	border: 1px solid rebeccapurple;
}

#hrpurple {
		border: 1px solid rgba(159, 144, 174, .8);
	box-shadow: 0px 0px 12px 12px rgba(102,51,153,.9);
	z-index: 3;
	}
#hrgreen {
	border: 1px solid rgba(214, 228, 207, 1);
	box-shadow: 0px 0px 12px 12px rgba(164,202,146,.9);
	z-index: 3;
}

a {
	color: #a4ca92;
	text-decoration: none;
}

a:hover{
	background: #a4ca92;
	color: black;
}

.main {
  margin: auto;
  box-sizing: border-box;
}

.text {
	padding: 0px 20px 5px 20px;
	z-index: ;

	.tgreen{
		border: dashed 2px #a4ca92;
	}

	.tpurple{
		border: dashed 2px rebeccapurple;
	}
}



.grid-container {
  columns: 3 200px;
  column-gap: 2em;
  margin: auto;
  width: 100%;
  padding-top: 10px;

  div {
    display: inline-block;
    width: 100%;
    padding: 5px;
  }

  p{
  	text-align: center;
  }

  .album img {
  display: block;
  margin-left: auto;
  margin-right: auto;
	}

	.read {
		display: inline-flex;

		div{
			width: fit-content;
		}
	}

	.watch{
		display: inline-block;
	}

}

.twogrid {
  columns: 2 180px;
  column-gap: 1rem;
  width: 93%;
  margin: 0 auto;
  padding: 20px;
  padding-top: 40px;
  
  div {
    width: 130px;
    margin: 0 1.5rem 1.5rem 0;
    display: inline-block;
    width: 100%;
    border: solid 2px black;
    padding: 5px;
    border-radius: 5px;

    img {
      width: 100%;
      border-radius: 5px;
    }
  }
}

.header-body {
	text-align: left;
	padding-top: 60px;
	padding-left: 20px;
	display: inline-flex;
	position: relative;
	overscroll-behavior: none;
	z-index: 6;
}

.headerpic {
	width: 150px;
}

.menu {
	text-shadow: 2px 2px 2px rebeccapurple;
	border-bottom: 2px solid #bc88f5;
}

.menu a {
	font-family: "tamzen", monospace;
	font-size: 20px;
	display: inline-block;
	margin: 5px;
	color: #bc88f5;
  background: 
      linear-gradient(#bc88f5 0 0) 
      0 100% /var(--d, 0) 30px 
    no-repeat;
  transition:0.3s;
}
.menu a:hover {
	text-shadow: none;
  --d: 100%;
  color: #000;
}

.top{
	box-sizing: border-box;
	margin: auto;
	padding-bottom: 15px;
	z-index: 1;
}

.wrapper {
	position: relative;
	max-width: 1200px;
	margin: auto;
	padding: 10px 60px;
	box-sizing: border-box;
	margin-bottom: 120px;
	background-color: black;
	z-index: 0;

	border-radius: 5px 5px 0px 0px;
	border-top: 40px solid rebeccapurple;
	border-right: 3px solid rebeccapurple;
	border-left: 3px solid rebeccapurple;
	border-bottom: 3px solid rebeccapurple;

	 box-shadow: 0px 0px 21px 12px rgba(102,51,153,.4);
; 

	#sitename {
		position: absolute;
		top: -29px;
		left: 80px;
		padding-left: 5px;
		padding-right: 50px;
		z-index: 2;

		letter-spacing: 3px;
		background-color: white;
		color: rebeccapurple;
		border-radius: 7px;
	}

	#tab{
		position: absolute;
		top: -38px;
		left: 70px;
		background-color: #a385c2;
		height: 38px;
		width: 320px;
		border-radius: 10px 10px 0px 0px;
		z-index: 1;
	}

	#exit {
		position: absolute;
		top: -30px;
		left: 10px;
		z-index: 3;

			a{
				color: white;
			}

			a:hover{
				background-color: white;
				color: rebeccapurple;
			}
		
	}

	#asciione {
		position: absolute;
		bottom: 0px;
		left: 10px;
		z-index: 1;
		line-height: 1.2em;

		font-size: 18px;
		color: rgba(188, 136, 245, .5);
	}

	#asciitwo{
		position: absolute;
		top: 0px;
		right: 10px;
		z-index: 1;
		line-height: 1em;

		font-size: 8px;
		color: rgba(188, 136, 245, .5);
	}

	#asciithree{
		position: absolute;
		bottom: -10px;
		right: 2px;
		z-index: -5;
		line-height: 1em;

		font-size: 14px;
		color: rgba(188, 136, 245, .4);
	}

	#asciifour{
		position: absolute;
		top: -10px;
		right: -10px;
		z-index: 1;
		line-height: 1em;

		font-size: 16px;
		color: rgba(188, 136, 245, .5);
	}

	#asciifive{
		position: absolute;
		top: -10px;
		left: 0px;
		z-index: -2;
		line-height: 1em;

		font-size: 14px;
		color: rgba(188, 136, 245, .4);
	}
}

.width-50 {
	width: 50%;
}

.message {
	border-radius: 6px;
	padding: 12px 12px;
	display: inline-block;
	width: 85%;
	margin-left: 10px;
	box-sizing: border-box;
	min-height: 60px;
	position: relative;
	z-index: 2;
	font-size: 12px;
}

.chat-blue .message {
	background-color: rgba(82, 127, 208, .5);
	color: white;
}

.avatar {
	height: 70px;
	width: 70px;
	display: inline-block;
	vertical-align: top;
	border-radius: 4px;
	box-shadow: 0px 0px 8px #c692ff;
	overflow: hidden;
}

.chat-purple .message{
	background-color: rgba(198, 146, 255, .6);
	color: #d8cbe6;
}

.chat {
	margin: 12px 0;
	position: relative;
}

.prevent-select {
  -webkit-user-select: none; /* Safari */
  -ms-user-select: none; /* IE 10 and IE 11 */
  user-select: none; /* Standard syntax */
}

.topper{
	position: fixed;
	bottom: 10px;
	right: 20px;

	a{
		font-family: "tamzen", monospace;
		text-align: center;
		font-size: 22px;

		color: rgba(198, 146, 255, .9);
		background-color: rgba(0, 0, 0, .9);
		border: 2px solid rgba(198, 146, 255, .9);

		display: flex;
		flex-wrap: nowrap;
		padding: 20px 20px 20px 20px;
	}
	a:hover {
		color: #a4ca92;
		border: 2px solid #a4ca92;
	}
}

.back{
	position: fixed;
	top: 10px;
	left: 20px;

	a{
		font-family: monospace, monospace;
		text-align: center;
		font-size: 10px;

		color: rgba(198, 146, 255, .9);
		background-color: rgba(0, 0, 0, .9);
		border: 2px solid rgba(198, 146, 255, .9);

		display: flex;
		flex-wrap: nowrap;
		padding: 10px 10px 10px 10px;
	}
	a:hover {
		color: #a4ca92;
		border: 2px solid #a4ca92;
	}
}


/* crt */
.crt::before {
  content: " ";
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: linear-gradient(rgba(18, 16, 16, 0) 50%,
   rgba(0, 0, 0, 0.25) 50%), 
  linear-gradient(90deg, rgba(255, 0, 0, 0.06), 
  rgba(0, 255, 0, 0.02), rgba(0, 0, 255, 0.06));
  z-index: 2;
  background-size: 100% 2px, 3px 100%;
  background: fill;
  pointer-events: none;
}


@media screen and (max-width: 1270px){
	.topper { 
		position: static; 
		width: fit-content; 
		margin: 10px auto; }
}

@media screen and (max-width: 640px){

	.title{
		font-size: 24px;
	}

	.menu{
		font-size: 12px;
	}

	.headerpic {
		width: 15vw;
	}

}

@media screen and (max-width: 460px){

	.headerpic {
		display: none;
	}
}